[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

[Bug 184530] Review Request: perl-RPM2



Please do not reply directly to this email. All additional
comments should be made in the comments box of this bug report.

Summary: Review Request: perl-RPM2


https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=184530





------- Additional Comments From paul city-fan org  2006-03-17 12:05 EST -------
(In reply to comment #5)
> (In reply to comment #4)
> >   MUST: A package must not contain any BuildRequires that are listed in
> >   the exceptions section of Packaging Guidelines.
> 
> That MUST has been debated before, and especially in case of perl module
> packages buildrequring perl.  Blocking packages based on that is IMHO a bit
> silly, and yes, so is the guideline and I don't have anything against fixing it.

I agree that it's a silly MUST but the right the to do is to change the rule
rather than ignore it.

I would suggest the following:

Instead of:
 - MUST: A package must not contain any BuildRequires that are listed in the
exceptions section of Packaging Guidelines.
- MUST: All other Build dependencies must be listed in BuildRequires.

I'd have:
 - MUST: All build dependencies must be listed in BuildRequires, except for any
that are listed in the exceptions section of Packaging Guidelines; inclusion of
those as BuildRequires is optional.


-- 
Configure bugmail: https://bugzilla.redhat.com/bugzilla/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are the QA contact for the bug, or are watching the QA contact.


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]